// die 3 Figure-Elemente via Javascript ansprechbar machen
const kaiser = document.querySelector('#kaiser');
const simssee = document.querySelector('#simssee');
const tegernsee = document.querySelector('#tegernsee');

// hier die richtigen Buchstaben angeben,
// die Ihr bei "Teensyduino" festgelegt habt
const kaiserButton = 'j';
const simsseeButton = 'u';
const tegernseeButton = 'l';

// erstes Bild soll gleich sichtbar sein
kaiser.classList.add('sichtbar');

// entfernt die Klasse bei dem Element, das gerade noch sichtbar war
// sonst überlagern sich die Bilder und sind nicht sichtbar
function sichtbarkeitWeg() {
    let sichtbar = document.querySelector('.sichtbar');
    sichtbar.classList.remove('sichtbar');
}

// Javascript "lauscht", ob etwas mit der Tastatur gemacht wird
// und Teensy simuliert ja eine Tastatur…
window.addEventListener(
    'keyup',
    function (event) {
        let taste = event.key;
        // console.log(taste);
        if (taste === kaiserButton) {
            sichtbarkeitWeg();
            kaiser.classList.add('sichtbar');
        } else if (taste === simsseeButton) {
            sichtbarkeitWeg();
            simssee.classList.add('sichtbar');
        } else if (taste === tegernseeButton) {
            sichtbarkeitWeg();
            tegernsee.classList.add('sichtbar');
        }
    },
    true
);
